Permission required:
invoice:managePath Parameters
Request Body
Response
Errors
Errors answer withsuccess: false, a message and an error_code. See Error Codes for every code.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT 'https://app.memorylake.ai/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67/billing-details' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"address": "example",
"invoice_type": "individual",
"company_name": "Example company",
"contact_email": "alice@example.com",
"name": "Example name",
"tax_id": "4155f354c126224a5833bdd25597ea80"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"address": "example",
"company_name": "Example company",
"contact_email": "alice@example.com",
"invoice_id": "19c056571f855cb3f9252ccbcaada863",
"invoice_type": "individual",
"name": "Example name",
"saved": false,
"tax_id": "42e837c2d259aa902d4196922464cfeb",
"updated_at": 1760000000
}
}
Replaces the buyer details printed on a paid invoice (fields left out are cleared)
curl -X PUT 'https://app.memorylake.ai/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67/billing-details' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"address": "example",
"invoice_type": "individual",
"company_name": "Example company",
"contact_email": "alice@example.com",
"name": "Example name",
"tax_id": "4155f354c126224a5833bdd25597ea80"
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"address": "example",
"company_name": "Example company",
"contact_email": "alice@example.com",
"invoice_id": "19c056571f855cb3f9252ccbcaada863",
"invoice_type": "individual",
"name": "Example name",
"saved": false,
"tax_id": "42e837c2d259aa902d4196922464cfeb",
"updated_at": 1760000000
}
}
PUT /openapi/memorylake/admin/v1/billing/invoices/{invoice_id}/billing-details
invoice:managecurl -X PUT 'https://app.memorylake.ai/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67/billing-details' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"address": "example",
"invoice_type": "individual",
"company_name": "Example company",
"contact_email": "alice@example.com",
"name": "Example name",
"tax_id": "4155f354c126224a5833bdd25597ea80"
}'
Show Billing Details object
{
"success": true,
"message": "Operation completed successfully",
"data": {
"address": "example",
"company_name": "Example company",
"contact_email": "alice@example.com",
"invoice_id": "19c056571f855cb3f9252ccbcaada863",
"invoice_type": "individual",
"name": "Example name",
"saved": false,
"tax_id": "42e837c2d259aa902d4196922464cfeb",
"updated_at": 1760000000
}
}
success: false, a message and an error_code. See Error Codes for every code.
| Status | Meaning |
|---|---|
400 | A parameter or the body is invalid |
401 | The API key is missing, invalid, disabled or expired |
403 | The key is not allowed to do this |
404 | The resource does not exist |
409 | The request conflicts with the current state, e.g. a duplicate or a limit reached |
422 | The body or a parameter failed validation |
429 | Too many requests. Wait for the time in Retry-After |
500 | Server-side error |